/{organizationId}/{mandateId}/finance/cash/transactions/listList cash transactions
Returns a list of cash transactions for a given mandate
Required permissions:
mandate.read
cashTransaction.read
Permissions if cashTransactionRuleId is provided:
cashTransactionRule.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
limitintegeroptional Default: 50
minimum: 0
maximum: 100
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
returnCountbooleanoptional Default: false
cashAccountIdstringoptional searchTermstringoptional fromDatestringoptional toDatestringoptional viewstringoptional Options:
unassignedpartialassignedignoreddisputedproposalspotentialDuplicatessubViewstringoptional Options:
needsResponseunderReviewwonlostcashTransactionRuleIdstringoptional amountTypestringoptional Options:
positivenegativeamountnumberoptional Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/cash/transactions/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"sort": {},
"limit": 50,
"offset": 0
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
countintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"count": 0,
"cashTransactions": [
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"status": "unassigned",
"state": "confirmed",
"cashAccount": "000000000000000000000001",
"date": "string",
"amount": -9007199254740991,
"purpose": "string",
"info": "string",
"counterpartName": "string",
"counterpartAccount": "string",
"assignments": [
{
"type": "receipt",
"amount": 1
}
],
"proposing": true,
"isPotentialDuplicate": true
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}